Bug 22856 - Show SQL code button should trigger CodeMirror view
Summary: Show SQL code button should trigger CodeMirror view
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Reports (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-05-06 13:03 UTC by Owen Leonard
Modified: 2019-05-24 13:27 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00


Attachments
Bug 22856: Show SQL code button should trigger CodeMirror view (3.24 KB, patch)
2019-05-06 13:19 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22856: Show SQL code button should trigger CodeMirror view (3.32 KB, patch)
2019-05-06 14:08 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 22856: Show SQL code button should trigger CodeMirror view (3.37 KB, patch)
2019-05-07 08:00 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-05-06 13:03:06 UTC
We use a readonly CodeMirror display for the SQL reports' "view" page. We should do the same for the SQL view which is shown on the report results page, triggered by the "Show SQL code" button.
Comment 1 Owen Leonard 2019-05-06 13:19:12 UTC
Created attachment 89370 [details] [review]
Bug 22856: Show SQL code button should trigger CodeMirror view

This patch adds CodeMirror syntax highlighting to the SQL view which can
be shown on the report results page by clicking the "Show SQL code"
button.

To test, apply the patch and run any SQL report. On the report results
page, click the "Show SQL button." The SQL should be displayed with
CodeMirror syntax highlighting. Test toggling the SQL code view on and
off to confirm that the CodeMirror highlighting continues to work
correctly.
Comment 2 ByWater Sandboxes 2019-05-06 14:08:27 UTC
Created attachment 89371 [details] [review]
Bug 22856: Show SQL code button should trigger CodeMirror view

This patch adds CodeMirror syntax highlighting to the SQL view which can
be shown on the report results page by clicking the "Show SQL code"
button.

To test, apply the patch and run any SQL report. On the report results
page, click the "Show SQL button." The SQL should be displayed with
CodeMirror syntax highlighting. Test toggling the SQL code view on and
off to confirm that the CodeMirror highlighting continues to work
correctly.

Signed-off-by: Barton Chittenden <barton@bywatersolutions.com>
Comment 3 Katrin Fischer 2019-05-07 08:00:09 UTC
Created attachment 89415 [details] [review]
Bug 22856: Show SQL code button should trigger CodeMirror view

This patch adds CodeMirror syntax highlighting to the SQL view which can
be shown on the report results page by clicking the "Show SQL code"
button.

To test, apply the patch and run any SQL report. On the report results
page, click the "Show SQL button." The SQL should be displayed with
CodeMirror syntax highlighting. Test toggling the SQL code view on and
off to confirm that the CodeMirror highlighting continues to work
correctly.

Signed-off-by: Barton Chittenden <barton@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Katrin Fischer 2019-05-07 08:01:06 UTC
I think this could fall under 'polishing' the Code mirror work in this release :) It's nice, maybe the text area is a little big for a tiny report.
Comment 5 Nick Clemens 2019-05-10 19:11:50 UTC
Awesome work all!

Pushed to master for 19.05
Comment 6 Martin Renvoize 2019-05-24 13:27:08 UTC
Enhancement will not be backported to 18.11.x series